### Method

# Gtk.Snapshot.to_node

#### Declaration [src]

    GskRenderNode*
    gtk_snapshot_to_node (
      GtkSnapshot* snapshot
    )

#### Description [src]

Returns the render node that was constructed by `snapshot`.

After calling this function, it is no longer possible to add more nodes to `snapshot`. The only function that should be called after this is `g_object_unref()`.

#### Return value

Returns: `GskRenderNode*`
the constructed `GskRenderNode`
Ownership of the data is transferred to the caller